<?php

declare(strict_types=1);

namespace App\Administration\Domain\Repository;

use App\Administration\Domain\Model\SchoolBranding\SchoolBranding;
use App\Administration\Domain\Model\SchoolClass\SchoolId;
use App\Shared\Domain\Tenant\TenantId;

interface SchoolBrandingRepository
{
    public function save(SchoolBranding $branding): void;

    /**
     * @throws \App\Administration\Domain\Exception\SchoolBrandingNotFoundException
     */
    public function get(SchoolId $schoolId, TenantId $tenantId): SchoolBranding;

    public function findBySchoolId(SchoolId $schoolId, TenantId $tenantId): ?SchoolBranding;
}
